## org.apache.mahout.utils.vectors.lucene
Class VectorMapper

    java.lang.Object
      org.apache.lucene.index.TermVectorMapper
          org.apache.mahout.utils.vectors.lucene.VectorMapper

Direct Known Subclasses:
  TFDFMapper

    public abstract class VectorMapper

extends org.apache.lucene.index.TermVectorMapper

Not thread-safe

Constructor Summary
`VectorMapper()`

Method Summary
`abstract Vector` `getVector()` Can be called after the TermVector has been mapped

Methods inherited from class org.apache.lucene.index.TermVectorMapper
`isIgnoringOffsets, isIgnoringPositions, map, setDocumentNumber, setExpectations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorMapper

    public VectorMapper()

Method Detail

### getVector

    public abstract Vector getVector()

  Can be called after the TermVector has been mapped

  Returns:
    The `Vector`
  See Also:
    `TermVectorMapper.map(String, int, org.apache.lucene.index.TermVectorOffsetInfo[], int[])`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.